summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2015-01-11 07:36:44 +0100
committer Willy Sudiarto Raharjo2015-01-18 03:09:01 +0100
commit148dbbde69cb2b1def47f10b4b22d05c2dba810e (patch)
tree98abd967ef2e323f4398b64c83a334c2879415f4 /system
parent484f4befb61c53374b469caee87b47811e9bc2ed (diff)
downloadslackbuilds-148dbbde69cb2b1def47f10b4b22d05c2dba810e.tar.gz
system/colord: Added (Color Profile System Service)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/colord/README15
-rw-r--r--system/colord/colord.SlackBuild133
-rw-r--r--system/colord/colord.info10
-rw-r--r--system/colord/doinst.sh17
-rw-r--r--system/colord/slack-desc19
5 files changed, 194 insertions, 0 deletions
diff --git a/system/colord/README b/system/colord/README
new file mode 100644
index 0000000000..0c07925cc8
--- /dev/null
+++ b/system/colord/README
@@ -0,0 +1,15 @@
+colord is a system service that makes it easy to manage, install
+and generate color profiles to accurately color manage input
+and output devices.
+
+This requires a colord user/group to be added:
+groupadd -g 297 colord
+useradd -d /var/lib/colord -u 297 -g colord -s /bin/false colord
+
+This package can optionally add bash completion support by running:
+BASH_COMPLETION=yes ./colord.SlackBuild
+
+Optional dependency: vala
+
+Note: This package does not have SANE or UDEV support since it will
+require systemd to be present.
diff --git a/system/colord/colord.SlackBuild b/system/colord/colord.SlackBuild
new file mode 100644
index 0000000000..abb8568f4c
--- /dev/null
+++ b/system/colord/colord.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for colord
+
+# Copyright 2015 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=colord
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+bailout() {
+ printf "This requires a \"colord\" user and group.\n"
+ printf "groupadd -g 297 colord\n"
+ printf "useradd -d /var/lib/colord -u 297 -g colord -s /bin/false colord"
+ exit 1
+}
+
+if ! getent group colord 2>/dev/null 1>/dev/null ; then
+ bailout
+elif ! getent passwd colord 2>/dev/null 1>/dev/null ; then
+ bailout
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ "${BASH_COMPLETION:-no}" = "yes" ]; then
+ USE_BASH="--enable-bash-completion"
+else
+ USE_BASH="--disable-bash-completion"
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-gusb \
+ --disable-udev \
+ --disable-systemd-login \
+ --with-daemon-user=colord \
+ --build=$ARCH-slackware-linux \
+ $USE_BASH
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/dbus-1/system.d/org.freedesktop.ColorManager.conf \
+ $PKG/etc/dbus-1/system.d/org.freedesktop.ColorManager.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* MAINTAINERS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION/ -type f -exec chmod 644 {} \;
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/var/lib/$PRGNAM
+chown -R $PRGNAM:$PRGNAM $PKG/var/lib/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/colord/colord.info b/system/colord/colord.info
new file mode 100644
index 0000000000..b5a7e59b7f
--- /dev/null
+++ b/system/colord/colord.info
@@ -0,0 +1,10 @@
+PRGNAM="colord"
+VERSION="1.2.1"
+HOMEPAGE="http://www.freedesktop.org/software/colord"
+DOWNLOAD="http://www.freedesktop.org/software/colord/releases/colord-1.2.1.tar.xz"
+MD5SUM="452e02b3a7cc3ae5b4fc9bef304a6902"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/system/colord/doinst.sh b/system/colord/doinst.sh
new file mode 100644
index 0000000000..a679353395
--- /dev/null
+++ b/system/colord/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+config etc/dbus-1/system.d/org.freedesktop.ColorManager.conf.new
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/system/colord/slack-desc b/system/colord/slack-desc
new file mode 100644
index 0000000000..ab5836f5a2
--- /dev/null
+++ b/system/colord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+colord: colord (Color Profile System Service)
+colord:
+colord: colord is a system service that makes it easy to manage, install
+colord: and generate color profiles to accurately color manage input
+colord: and output devices.
+colord:
+colord: Project URL: http://www.freedesktop.org/software/colord
+colord:
+colord:
+colord:
+colord: